clang-tools 10.0.0

Namespaces | Functions
Hover.cpp File Reference
`#include "Hover.h"`
`#include "AST.h"`
`#include "CodeCompletionStrings.h"`
`#include "FindTarget.h"`
`#include "FormattedString.h"`
`#include "Logger.h"`
`#include "ParsedAST.h"`
`#include "Selection.h"`
`#include "SourceCode.h"`
`#include "index/SymbolCollector.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/ASTTypeTraits.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclBase.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/Expr.h"`
`#include "clang/AST/ExprCXX.h"`
`#include "clang/AST/PrettyPrinter.h"`
`#include "clang/AST/Type.h"`
`#include "clang/Basic/Specifiers.h"`
`#include "clang/Index/IndexSymbol.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <string>`
Include dependency graph for Hover.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::Optional< HoverInfo > | clang::clangd::getHover (ParsedAST &AST, Position Pos, format::FormatStyle Style, const SymbolIndex *Index)
| Get the hover information when hovering at `Pos`. More...
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const HoverInfo::Param &P)